Cassandra.describe_ring_result (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.thrift
Class Cassandra.describe_ring_result

    java.lang.Object
      org.apache.cassandra.thrift.Cassandra.describe_ring_result

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.describe_ring_result>, org.apache.thrift.TBase<Cassandra.describe_ring_result,Cassandra.describe_ring_result._Fields>

Enclosing class:
  Cassandra

    public static class Cassandra.describe_ring_result

extends java.lang.Object
implements org.apache.thrift.TBase<Cassandra.describe_ring_result,Cassandra.describe_ring_result._Fields>, java.io.Serializable, java.lang.Cloneable

See Also:
  Serialized Form

Nested Class Summary
`static class` | `Cassandra.describe_ring_result._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

Field Summary
`InvalidRequestException` | `ire`
`static java.util.Map<Cassandra.describe_ring_result._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
`java.util.List<TokenRange>` | `success`

Constructor Summary
`Cassandra.describe_ring_result()`
`Cassandra.describe_ring_result(Cassandra.describe_ring_result other)` Performs a deep copy on other.
`Cassandra.describe_ring_result(java.util.List<TokenRange> success, InvalidRequestException ire)`

Method Summary
`void` | `addToSuccess(TokenRange elem)`
`void` | `clear()`
`int` | `compareTo(Cassandra.describe_ring_result other)`
`Cassandra.describe_ring_result` | `deepCopy()`
`boolean` | `equals(Cassandra.describe_ring_result that)`
`boolean` | `equals(java.lang.Object that)`
`Cassandra.describe_ring_result._Fields` | `fieldForId(int fieldId)`
`java.lang.Object` | `getFieldValue(Cassandra.describe_ring_result._Fields field)`
`InvalidRequestException` | `getIre()`
`java.util.List<TokenRange>` | `getSuccess()`
`java.util.Iterator<TokenRange>` | `getSuccessIterator()`
`int` | `getSuccessSize()`
`int` | `hashCode()`
`boolean` | `isSet(Cassandra.describe_ring_result._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` | `isSetIre()` Returns true if field ire is set (has been assigned a value) and false otherwise
`boolean` | `isSetSuccess()` Returns true if field success is set (has been assigned a value) and false otherwise
`void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
`void` | `setFieldValue(Cassandra.describe_ring_result._Fields field, java.lang.Object value)`
`Cassandra.describe_ring_result` | `setIre(InvalidRequestException ire)`
`void` | `setIreIsSet(boolean value)`
`Cassandra.describe_ring_result` | `setSuccess(java.util.List<TokenRange> success)`
`void` | `setSuccessIsSet(boolean value)`
`java.lang.String` | `toString()`
`void` | `unsetIre()`
`void` | `unsetSuccess()`
`void` | `validate()`
`void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### success

    public java.util.List<TokenRange> success

### ire

    public InvalidRequestException ire

### metaDataMap

    public static final java.util.Map<Cassandra.describe_ring_result._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

Constructor Detail

### Cassandra.describe_ring_result

    public Cassandra.describe_ring_result()

### Cassandra.describe_ring_result

    public Cassandra.describe_ring_result(java.util.List<TokenRange> success,
                                          InvalidRequestException ire)

### Cassandra.describe_ring_result

    public Cassandra.describe_ring_result(Cassandra.describe_ring_result other)

  Performs a deep copy on other.

Method Detail

### deepCopy

    public Cassandra.describe_ring_result deepCopy()

  Specified by:
    `deepCopy` in interface `org.apache.thrift.TBase<Cassandra.describe_ring_result,Cassandra.describe_ring_result._Fields>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `org.apache.thrift.TBase<Cassandra.describe_ring_result,Cassandra.describe_ring_result._Fields>`

### getSuccessSize

    public int getSuccessSize()

### getSuccessIterator

    public java.util.Iterator<TokenRange> getSuccessIterator()

### addToSuccess

    public void addToSuccess(TokenRange elem)

### getSuccess

    public java.util.List<TokenRange> getSuccess()

### setSuccess

    public Cassandra.describe_ring_result setSuccess(java.util.List<TokenRange> success)

### unsetSuccess

    public void unsetSuccess()

### isSetSuccess

    public boolean isSetSuccess()

  Returns true if field success is set (has been assigned a value) and false otherwise

### setSuccessIsSet

    public void setSuccessIsSet(boolean value)

### getIre

    public InvalidRequestException getIre()

### setIre

    public Cassandra.describe_ring_result setIre(InvalidRequestException ire)

### unsetIre

    public void unsetIre()

### isSetIre

    public boolean isSetIre()

  Returns true if field ire is set (has been assigned a value) and false otherwise

### setIreIsSet

    public void setIreIsSet(boolean value)

### setFieldValue

    public void setFieldValue(Cassandra.describe_ring_result._Fields field,
                              java.lang.Object value)

  Specified by:
    `setFieldValue` in interface `org.apache.thrift.TBase<Cassandra.describe_ring_result,Cassandra.describe_ring_result._Fields>`

### getFieldValue

    public java.lang.Object getFieldValue(Cassandra.describe_ring_result._Fields field)

  Specified by:
    `getFieldValue` in interface `org.apache.thrift.TBase<Cassandra.describe_ring_result,Cassandra.describe_ring_result._Fields>`

### isSet

    public boolean isSet(Cassandra.describe_ring_result._Fields field)

  Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

  Specified by:
    `isSet` in interface `org.apache.thrift.TBase<Cassandra.describe_ring_result,Cassandra.describe_ring_result._Fields>`

### equals

    public boolean equals(java.lang.Object that)

  Overrides:
    `equals` in class `java.lang.Object`

### equals

    public boolean equals(Cassandra.describe_ring_result that)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### compareTo

    public int compareTo(Cassandra.describe_ring_result other)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<Cassandra.describe_ring_result>`

### fieldForId

    public Cassandra.describe_ring_result._Fields fieldForId(int fieldId)

  Specified by:
    `fieldForId` in interface `org.apache.thrift.TBase<Cassandra.describe_ring_result,Cassandra.describe_ring_result._Fields>`

### read

    public void read(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

  Specified by:
    `read` in interface `org.apache.thrift.TBase<Cassandra.describe_ring_result,Cassandra.describe_ring_result._Fields>`
  Throws:
    `org.apache.thrift.TException`

### write

    public void write(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

  Specified by:
    `write` in interface `org.apache.thrift.TBase<Cassandra.describe_ring_result,Cassandra.describe_ring_result._Fields>`
  Throws:
    `org.apache.thrift.TException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### validate

    public void validate()
                  throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation